<form action="/registration" method="post" class="registration-form">
  <div class="group_"> 
      <label for="name" class="info_lable">Name:</label>
      <input class="info_input" id="name" pattern="[A-Za-z]+" name="name" placeholder="Name">
  </div>
  <div class="group_"> 
      <label for="password" class="info_lable">Password:</label>
      <input class="info_input" id="password" name="password" placeholder="Password">
  </div>
  <div class="group_"> 
    <input id="avatar" name="avatar" type="hidden" value="1">
    <div class="avatars">
      <img src="assets/avatars/avatar-1.svg" alt="avatar 1" class="avatar-img" onclick="setAvatar(event)" data-av="1">
      <img src="assets/avatars/avatar-2.svg" alt="avatar 2" class="avatar-img" onclick="setAvatar(event)" data-av="2">
      <img src="assets/avatars/avatar-3.svg" alt="avatar 3" class="avatar-img" onclick="setAvatar(event)" data-av="3">
    </div>
  </div>
  <button id="btn" type="submit">Sign up</button>
</form>

<script>
  function setAvatar(event) {
    let imgs = document.querySelectorAll(".avatar-img");
    document.getElementById("avatar").value = event.target.dataset.av;
    imgs.forEach(img => {
      img.classList.remove("avatar-img-active");
    })
    event.target.classList.add("avatar-img-active");
  } 
</script>